RedHat: RHSA-2022-8645:01 Important: varnish:6 security update | Li...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: varnish:6 security update
Advisory ID:       RHSA-2022:8645-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:8645
Issue date:        2022-11-28
CVE Names:         CVE-2022-45060 
=====================================================================

1. Summary:

An update for the varnish:6 module is now available for Red Hat Enterprise
Linux 8.4 Extended Update Support.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AppStream EUS (v.8.4) - aarch64, ppc64le, s390x, x86_64

3. Description:

Varnish Cache is a high-performance HTTP accelerator. It stores web pages
in memory so web servers don't have to create the same web page over and
over again, giving the website a significant speed up.

Security Fix(es):

* varnish: Request Forgery Vulnerability (CVE-2022-45060)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

2141844 - CVE-2022-45060 varnish: Request Forgery Vulnerability

6. Package List:

Red Hat Enterprise Linux AppStream EUS (v.8.4):

Source:
varnish-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.src.rpm
varnish-modules-0.15.0-5.module+el8.3.0+6843+b3b42fcc.src.rpm

aarch64:
varnish-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.aarch64.rpm
varnish-devel-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.aarch64.rpm
varnish-docs-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.aarch64.rpm
varnish-modules-0.15.0-5.module+el8.3.0+6843+b3b42fcc.aarch64.rpm
varnish-modules-debuginfo-0.15.0-5.module+el8.3.0+6843+b3b42fcc.aarch64.rpm
varnish-modules-debugsource-0.15.0-5.module+el8.3.0+6843+b3b42fcc.aarch64.rpm

ppc64le:
varnish-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.ppc64le.rpm
varnish-devel-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.ppc64le.rpm
varnish-docs-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.ppc64le.rpm
varnish-modules-0.15.0-5.module+el8.3.0+6843+b3b42fcc.ppc64le.rpm
varnish-modules-debuginfo-0.15.0-5.module+el8.3.0+6843+b3b42fcc.ppc64le.rpm
varnish-modules-debugsource-0.15.0-5.module+el8.3.0+6843+b3b42fcc.ppc64le.rpm

s390x:
varnish-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.s390x.rpm
varnish-devel-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.s390x.rpm
varnish-docs-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.s390x.rpm
varnish-modules-0.15.0-5.module+el8.3.0+6843+b3b42fcc.s390x.rpm
varnish-modules-debuginfo-0.15.0-5.module+el8.3.0+6843+b3b42fcc.s390x.rpm
varnish-modules-debugsource-0.15.0-5.module+el8.3.0+6843+b3b42fcc.s390x.rpm

x86_64:
varnish-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.x86_64.rpm
varnish-devel-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.x86_64.rpm
varnish-docs-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.x86_64.rpm
varnish-modules-0.15.0-5.module+el8.3.0+6843+b3b42fcc.x86_64.rpm
varnish-modules-debuginfo-0.15.0-5.module+el8.3.0+6843+b3b42fcc.x86_64.rpm
varnish-modules-debugsource-0.15.0-5.module+el8.3.0+6843+b3b42fcc.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-45060
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBY4SvytzjgjWX9erEAQiQkRAApoS5j/qIWs7ZB4/jwpFTkMVCMQXWrnUo
rxg6jD1KbnC6T9oLdls3p9az7AJ4WW//xqlVGiKSZxX2AnS9vfrr80q+ysr3cRqo
6GXoSjtN7iIeU8Zg6OMIQR1tQ3R5dwVnITdsNJ3QU0JnKCxaxCptZRcdnvMmb/b7
QjAyAAgzGnvIhmyzgpH4md83jw84n7IgtivKVx0wm55n8ojizjuRvhlZtQC0vcbp
zUv5fhuHtniFmV0pgQOwkU14t3aGDXYbK680+02J3PJ4M6dPNy4nNaVzIqFZBgzY
GSPkwmKM3IfnABnFNlvnhrqlrhji4LpNd7kbP3IkN7By1XOwdeA8GPGnvijkml+U
GUo1VFTF59IopX3CEYWzZOUi85wRT8DELTD3agGpqCqVlL2qOpo/gmFaNtoZ6s+o
CoMTDr3aKBw7Qr3qwGBO5YZAZewQt0rmmuJNqOD827hMNG3p/+TUoTLEVSkedkTn
v2da/3ukXVHugdarTFrmq2AP1CTVsp+bqTAXqk0LH2y7LTjFh2En7tKFvhc7VlYj
Emf0bzUlej7pqGP/jdQ0+9/LePfqFAmwRQ/5ziLqJtBrktr/oZk29JMCI5edJ1jZ
cIMOlbWokpMI0cKQJVh0m/lM2gKfDfQ+hVCfvyQXztPSuF1wByjINsr7kwBwwtiI
AJuvuB2gA4I=
=5vN2
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-8645:01 Important: varnish:6 security update

An update for the varnish:6 module is now available for Red Hat Enterprise Linux 8.4 Extended Update Support

Summary

Varnish Cache is a high-performance HTTP accelerator. It stores web pages in memory so web servers don't have to create the same web page over and over again, giving the website a significant speed up.
Security Fix(es):
* varnish: Request Forgery Vulnerability (CVE-2022-45060)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2022-45060 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Enterprise Linux AppStream EUS (v.8.4):
Source: varnish-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.src.rpm varnish-modules-0.15.0-5.module+el8.3.0+6843+b3b42fcc.src.rpm
aarch64: varnish-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.aarch64.rpm varnish-devel-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.aarch64.rpm varnish-docs-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.aarch64.rpm varnish-modules-0.15.0-5.module+el8.3.0+6843+b3b42fcc.aarch64.rpm varnish-modules-debuginfo-0.15.0-5.module+el8.3.0+6843+b3b42fcc.aarch64.rpm varnish-modules-debugsource-0.15.0-5.module+el8.3.0+6843+b3b42fcc.aarch64.rpm
ppc64le: varnish-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.ppc64le.rpm varnish-devel-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.ppc64le.rpm varnish-docs-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.ppc64le.rpm varnish-modules-0.15.0-5.module+el8.3.0+6843+b3b42fcc.ppc64le.rpm varnish-modules-debuginfo-0.15.0-5.module+el8.3.0+6843+b3b42fcc.ppc64le.rpm varnish-modules-debugsource-0.15.0-5.module+el8.3.0+6843+b3b42fcc.ppc64le.rpm
s390x: varnish-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.s390x.rpm varnish-devel-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.s390x.rpm varnish-docs-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.s390x.rpm varnish-modules-0.15.0-5.module+el8.3.0+6843+b3b42fcc.s390x.rpm varnish-modules-debuginfo-0.15.0-5.module+el8.3.0+6843+b3b42fcc.s390x.rpm varnish-modules-debugsource-0.15.0-5.module+el8.3.0+6843+b3b42fcc.s390x.rpm
x86_64: varnish-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.x86_64.rpm varnish-devel-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.x86_64.rpm varnish-docs-6.0.6-2.module+el8.4.0+17241+96fc0d9c.3.x86_64.rpm varnish-modules-0.15.0-5.module+el8.3.0+6843+b3b42fcc.x86_64.rpm varnish-modules-debuginfo-0.15.0-5.module+el8.3.0+6843+b3b42fcc.x86_64.rpm varnish-modules-debugsource-0.15.0-5.module+el8.3.0+6843+b3b42fcc.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2022:8645-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2022:8645
Issued Date: : 2022-11-28
CVE Names: CVE-2022-45060

Topic

An update for the varnish:6 module is now available for Red Hat EnterpriseLinux 8.4 Extended Update Support.Red Hat Product Security has rated this update as having a security impactof Important. A Common Vulnerability Scoring System (CVSS) base score,which gives a detailed severity rating, is available for each vulnerabilityfrom the CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux AppStream EUS (v.8.4) - aarch64, ppc64le, s390x, x86_64

Bugs Fixed

2141844 - CVE-2022-45060 varnish: Request Forgery Vulnerability

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.